@charset "UTF-8";
:root {
  --vw: 1vw;
  --color-base: #111111;
  --color-line: #2c2c2c;
  --color-gray: #656565;
  --color-white: #ffffff;
  --color-orange: #e26522;
  --font-family-base: "游ゴシック体", YuGothic, "游ゴシック Medium", "Yu Gothic Medium", "游ゴシック", "Yu Gothic", sans-serif;
  --font-family-heading: "Meychan_web", sans-serif;
  --font-family-number: "Hind", sans-serif;
  --font-weight-base: 500;
  --font-weight-heading: 400;
  --font-weight-number: 500;
  --letter-spacing-base: 0.08em;
  --letter-spacing-heading: 0.2em;
  --letter-spacing-number: 0.08em;
}

.p-archive {
  padding: 4rem 2rem;
}
@media screen and (min-width: 720px) {
  .p-archive {
    padding: 8rem 0;
  }
}
.p-archive__list {
  position: relative;
  margin-top: 4rem;
  display: grid;
  grid-template-columns: 1fr;
  gap: 6rem;
}
@media screen and (min-width: 720px) {
  .p-archive__list {
    gap: 4rem;
    margin-top: 5.5rem;
    grid-template-columns: repeat(3, 1fr);
  }
}
.p-archive__listItem {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.p-archive__listItem__inner {
  display: block;
  position: relative;
}
.p-archive__listItem__overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: grid;
  place-content: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}
.p-archive__listItem__overlay:hover {
  opacity: 1;
}
.p-archive__listItem__overlay .icon {
  width: 8rem;
  height: 8rem;
  display: inline-block;
  background-color: var(--color-white);
  -webkit-mask: center/contain url("../img/icon/play-circle.svg") no-repeat;
  mask: center/contain url("../img/icon/play-circle.svg") no-repeat;
}
.p-archive__listItem img {
  aspect-ratio: 16/9;
  -o-object-fit: cover;
  object-fit: cover;
}
.p-archive__loadMore {
  display: flex;
  justify-content: center;
}
.p-archive__loadMore__button {
  font-size: 1.4rem;
  padding: 1rem 2rem;
  border: solid 0.1rem var(--color-white);
  color: var(--color-white);
}
.p-archive__loadingOverlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 10;
}
.p-archive__loadingOverlay.--active {
  display: grid;
  place-content: center;
}
.p-archive__loadingOverlay::before {
  content: "";
  width: 5rem;
  height: 5rem;
  background-color: var(--color-white);
  -webkit-mask: center/contain url("../img/icon/loading.svg") no-repeat;
  mask: center/contain url("../img/icon/loading.svg") no-repeat;
}